local mod = MorgDKP2:NewModule("Random")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")
local media = LibStub("LibSharedMedia-3.0", true)
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()

local mdkp = MorgDKP2
local db 
	

--locals
local LL = LibStub("AceLocale-3.0"):NewLocale("Random", "enUS", true)
	
if LL then
	LL["Random rolls"] = true
	LL["Enable"] = true
	LL["Enable random rolling for items."] = true
	LL["%s received %s."] = true
end

local LL = LibStub("AceLocale-3.0"):GetLocale("Random")

mod.modName = LL["Random rolls"]
mod.modref = "Random"

local Player = UnitName("player")
local fmt = string.format

local defaults = { 
	profile = {
		
	},
}

local options = {
		type = "group",
		handler = mod,
		name = LL["Random rolls"],
		desc = LL["Random rolls"],
		order = 370,
		args = {
			enable = {
				type = "toggle",
				name = LL["Enable"],
				desc = LL["Enable random rolling for items."],
				get = function() return mdkp.db.profile.modules.Random end,
				set = 	function(info, v) 
						mdkp.db.profile.modules.Random = v
						if v then 
							mod:DKPChange(mod.modName)
						else 
							mod:Disable()
							mdkp.db.profile.currDKP = nil 	
						end
					end,
				order = 5
			},
		},
}

function mod:GetOptions()
	return options
end

function mod:IsDKP()
	return true
end

function mod:GetName()
	return mod.modName, mod.modref
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("Random", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile	
	db.moduleON["Random"] = true
	
end

function mod:OnDisable()
	db.moduleON["Random"] = nil
	--if db.currDKP == "Random" then db.currDKP = nil end						
end

function mod:GetPlayerPoints(name, POOL)
	return db.info[name][POOL].points
end

function mod:GetItemValue(itemid)
	return db.items[itemid].points
end

function mod:ItemRecorded(id, looter, POOL, points, itempoints, link)
	if looter == L["Bank"] then return end
	db.info[looter].raidloot = 1
	db.info[looter].lastupdate = self:GetServerTime()
	self:out(fmt(LL["%s received %s."], looter, link))
end

function mod:ItemRebate(id, looter, POOL, itempoints, link)
	
end
